import { HttpClient } from "@angular/common/http";
import { TranslateService } from "@ngx-translate/core";
import { MessageService } from "primeng/api";
import { Observable } from "rxjs";
import { LeaveHistoryDto } from "../../../core/entities/leave-history/leave-history-dto";
import * as moment from "moment";
export declare class LeaveHistoryBFFService {
    private http;
    private messageService;
    private translate;
    private readonly FACADE_URL;
    private readonly QUERIES_URL;
    constructor(http: HttpClient, messageService: MessageService, translate: TranslateService);
    hasV1OrV3LeaveWithinSixtyDays(employeeId: string, referenceDate: moment.MomentInput): Observable<boolean>;
    get(id: any, displayFields?: string[]): Observable<LeaveHistoryDto>;
    insert(leaveHistoryDto: LeaveHistoryDto): Observable<LeaveHistoryDto>;
    update(id: string, leaveHistoryDto: LeaveHistoryDto): Observable<LeaveHistoryDto>;
    delete(id: string): Observable<LeaveHistoryDto>;
    private defaultCatch;
}
